package test;

import java.util.logging.Logger;
import javax.ejb.Schedule;
import javax.ejb.Singleton;
import javax.ejb.Startup;

import javax.naming.InitialContext;

@Startup
@Singleton
public class PingClientSingleton {

	private static final String NODE = System.getProperty("jboss.node.name");
	private static final Logger log = Logger.getLogger(PingClientSingleton.class.getSimpleName());

	@Schedule(hour="*", minute="*", second="*/30")
	public void ping() {
		try {
			log.info(NODE + ": ping() " + getEJB().ping());
		} catch(Exception e) {
			log.info(NODE + ": failed to ping server " + e.getClass().getName() + ": " + e.getMessage());
		}
	}

	private Ping getEJB() throws Exception {
		return (Ping) new InitialContext().lookup("ejb:/server-ejb/PingStateless!test.Ping");
	}	

}
